public class SolverRunner implements Runnable {
	private Solver so;
	
	public SolverRunner(Solver so){
		this.so = so;	
		
		Thread t = new Thread(this);
		t.start();
	}
	
	public void run(){
		long t1, t2;
		t1=System.currentTimeMillis();
   			if(so.solve(0)){
   				System.out.println("Solution found!");	
   			}else{
   				System.out.println("Solution not found!");
   			}	
	 	t2=System.currentTimeMillis();
	 	t2=t2-t1;
	 	if(!so.getStop()){
	 		System.out.println("Elapsed time : " + t2 + " ms"); 
	 	}else{
	 		System.out.println("Execution is interrupted.");
	 	}  
	}	
}